#!/bin/bash

if [ -n "$1" ]; then
	case $1 in
		[1-9]) DAYS="-d $1"
	esac
fi

set -e

# find the correct directory
basedir=$(readlink -f $(dirname $0))

# set the lock file name
project=$(basename $(readlink -f ${basedir}/..))

# update
(
  flock -x -n 200

  cd $basedir/..

  # run the update scripts
  python manage.py jenkins_pull_smokeng $DAYS
  python manage.py launchpad_pull_bugs
) 200>/var/lock/$project-qa-dashboard-update-15-min
